Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteTempResultOwnerManager

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteTempResultOwnerManager

extends java.rmi.Remote

Interface `RemoteTempResultOwnerManager` manages the owners of temporary results.

Since:
  5.2

Method Summary
`boolean` | `isOwner(java.lang.String owner, java.lang.String tempResult)` Test if an owner is the owner of the temporary result.
`void` | `registerOwner(java.lang.String owner, java.lang.String tempResult)` Register the owner of a temporary result.
`void` | `removeOwner(java.lang.String owner, java.lang.String tempResult)` Remove the owner of the temporary result.
`void` | `removeOwnersIfTimeout()` Remove the temporary result owners if the timeout reached.
`void` | `setTimeout(long timeouts)` Set the timeouts of temporary result owner record in miliseconds.

Method Detail

### setTimeout

    void setTimeout(long timeouts)
                    throws java.rmi.RemoteException

  Set the timeouts of temporary result owner record in miliseconds. The temporary result owner record will be removed when the timeout reaches.

  Parameters:
    `timeout` - the timeouts of temporary result owner record in miliseconds.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### registerOwner

    void registerOwner(java.lang.String owner,
                       java.lang.String tempResult)
                       throws java.rmi.RemoteException

  Register the owner of a temporary result.

  Parameters:
    `owner` - the owner of the temporary result.
    `tempResult` - the temporary result.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### isOwner

    boolean isOwner(java.lang.String owner,
                    java.lang.String tempResult)
                    throws java.rmi.RemoteException

  Test if an owner is the owner of the temporary result.

  Parameters:
    `owner` - the owner.
    `tempResult` - the temporary result.
  Returns:
    if the owner is the owner of the temporary result.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### removeOwner

    void removeOwner(java.lang.String owner,
                     java.lang.String tempResult)
                     throws java.rmi.RemoteException

  Remove the owner of the temporary result.

  Parameters:
    `owner` - the owner of the temporary result.
    `tempResult` - the temporary result.
  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

### removeOwnersIfTimeout

    void removeOwnersIfTimeout()
                               throws java.rmi.RemoteException

  Remove the temporary result owners if the timeout reached.

  Throws:
    `java.rmi.RemoteException` - if a RemoteException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD